Subject: Re: bug#25293: More descriptive page titles in documentation?
From: Andy Wingo <[email-masked]>
To: Gavin Smith <[email-masked]>
Cc: Bryan Ferris <[email-masked]>, [email-masked], Texinfo <[email-masked]>
Date: Wed, 01 Mar 2017 21:55:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Wed 01 Mar 2017 19:40, Gavin Smith <[email-masked]> writes:

> On 1 March 2017 at 14:49, Andy Wingo <[email-masked]> wrote:
>> Hello Texinfo peoples,
>>
>> We have a suggestion that Guile's HTML manual, e.g.
>>
>>   https://www.gnu.org/software/guile/docs/master/guile.html/Procedures-as-Values.html#Procedures-as-Values
>>
>> should have the <title> be defined like:
>>
>>   Procedures as Values: Guile Reference Manual
>>
>> instead of
>>
>>   Guile Reference Manual: Procedures as Values
>>
>> Any thoughts on if this is possible and if so, how to get it working?
>
> I don't know if you can do it easily with any released version of
> Texinfo, but I changed the order on the suggestion of Bryan Ferris on
> 2017-01-21 in the development code. I believe it is now "Procedures as
> Values (Guile Reference Manual)" and will be output this way in the
> next release, if nothing changes before then.

That's great to hear :-)  We'll pick up this change when the next
release comes out.

Happy hacking,

Andy